# PDB segments

powerline.segments.pdb.current_code_name(pl, segment_info)

  Displays name of the code object of the current frame

powerline.segments.pdb.current_context(pl, segment_info)

  Displays currently executed context name

  This is similar to `current_code_name()`, but gives more details.

  Currently it only gives module file name if code_name happens to be `<module>`.

powerline.segments.pdb.current_file(pl, segment_info, basename=True)

  Displays current file name

  Parameters:

    basename (bool) – If true only basename is displayed.

powerline.segments.pdb.current_line(pl, segment_info)

  Displays line number that is next to be run

powerline.segments.pdb.stack_depth(pl, segment_info, full_stack=False)

  Displays current stack depth

  Result is relative to the stack depth at the time prompt was first run.

  Parameters:

    full_stack (bool) – If true then absolute depth is used.